#ifndef POFILES_H
#define POFILES_H

#undef yyFlexLexer
#define yyFlexLexer GettextBaseFlexLexer
#include <FlexLexer.h>

class GettextFlexLexer: public GettextBaseFlexLexer {
public:
    int lastToken;
    
    GettextFlexLexer(std::istream*stream) : GettextBaseFlexLexer(stream) {}
    
    int yylex()
    {
	return lastToken = GettextBaseFlexLexer::yylex();
    }
};

#endif
